Subject: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jan 2017 19:07:20 +0200

> Date: Tue, 10 Jan 2017 09:23:02 +0100
> From: martin rudalics <[email-masked]>
> 
>  > I suggest either
>  > to implement this in a "border-width" property when border width
>  > is set to 0, or to implement a new variable/function that can be set in
>  > init file, such as for example "no-frame-borders t".
> 
> I'm using a frame parameter "undecorated" for this.  On Windows it is
> handled by the following function in w32fns.c:
> 
> void
> x_set_undecorated (struct frame *f, Lisp_Object new_value, Lisp_Object old_value)

I don't see this in the current sources.  Is this your local change?
If so, is there a matching implementation for 'undecorated' on X?  Can
both be added to Emacs?

If there's only an implementation of 'undecorated' for MS-Windows, I
suggest to adapt it such that the same effect is produced when
border-width is set to zero.  The border-width parameter is already
supported on X, so we will have no problem with that.

WDYT?